Axiomatic
AR / AP

Accounts Receivable

Ledger unified AR at GET/POST /api/ledger/ar (view + actions). For /api/invoicing/..., see tag Invoicing REST.

Query accounts receivable

GET
/api/ledger/ar

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Query Parameters

entityId*string
Formatuuid
view*string
Value in"invoices" | "customers" | "aging" | "ledger"
status?string

Filter invoices by status (when view=invoices)

counterpartyId?string

Required when view=ledger

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/ledger/ar?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&view=invoices"
{}
{
  "error": "string"
}
{
  "error": "string"
}

Perform an AR action

POST
/api/ledger/ar

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/ledger/ar" \  -H "Content-Type: application/json" \  -d '{    "action": "create_customer",    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "name": "string"  }'
{}
{
  "error": "string"
}
{
  "error": "string"
}